New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Problem with running 0.8.4 on a 10.6.8 mac #88

Closed
phubert52 opened this Issue Jan 6, 2015 · 3 comments

Comments

Projects
None yet
2 participants
@phubert52

phubert52 commented Jan 6, 2015

Hi
I’m trying to run PyCorrFit 0.8.4 on a OSx 10.6.8 mac, installed from the app.zip

Upon start, I get an error message in the terminal, but the PyCorrFit window opens

“Checking module versions...
OK: matplotlib v. 1.2.1 | 1.0.0 required
OK: NumPy v. 1.7.1 | 1.5.1 required
OK: PyYAML v. 3.11 | 3.09 required
OK: SciPy v. 0.12.0 | 0.8.0 required
OK: sympy v. 0.7.3 | 0.7.2 required
OK: wxPython v. 2.8.12.1 | 2.8.10.1 required
I do not know what to do with this argument: /Applications/PyCorrFit.app/Contents/MacOS/PyCorrFit.bin”

When I try to load data from one of the tutorial files, PyCorrFit freezes :

image

and I get the following error messages :

“Traceback (most recent call last):
File "/Users/paul/repos/PyCorrFit/build/PyCorrFit_mac/out00-PYZ.pyz/frontend", line 1047, in OnLoadBatch
File "/Users/paul/repos/PyCorrFit/build/PyCorrFit_mac/out00-PYZ.pyz/wx._windows", line 2943, in Update
wx._core.PyAssertionError: C++ assertion "value <= m_maximum" failed at /BUILD/wxPython-src-2.8.12.1/src/generic/progdlgg.cpp(337) in Update(): invalid progress value”

And I do not get these error messages with the previous 0.8.3-alpha1 release, this one opens the .fcs demo files, but not my PicoQuant .pt3 files.

I tried to reinstall Python and other requirements, to no avail. Could you help me solve this problem ?

Best regards
Pierre

@phubert52 phubert52 closed this Jan 6, 2015

@phubert52 phubert52 reopened this Jan 6, 2015

paulmueller pushed a commit that referenced this issue Jan 6, 2015

@paulmueller

This comment has been minimized.

Member

paulmueller commented Jan 6, 2015

There was a typo in the sources that only the wxPython version on the Mac complained about. This will be fixed in the next alpha release (very soon).

btw: You do not need to install Python if you are using the bundled app of bin files of PyCorrFit.

Cheers,
Paul

@paulmueller paulmueller closed this Jan 6, 2015

@paulmueller

This comment has been minimized.

Member

paulmueller commented Jan 6, 2015

And thanks for the bug report ;)

@phubert52

This comment has been minimized.

phubert52 commented Jan 7, 2015

Many thanks. I'm looking forward to the new release.
I also tested the Windows version (both on XP and 7pro), I get the same error messages.

Best
Pierre

@paulmueller paulmueller added the Windows label Jan 7, 2015

paulmueller pushed a commit that referenced this issue Sep 30, 2015

Paul Müller
fixed issue #88 - typo
Former-commit-id: 42cba71d9da555308c2e9628a6405a16f78dbdd7 [formerly aef80ba7b964df4e53766dca02d9cd7c31ec9bc7] [formerly 5405c0124b4647d73a181cf828df45c4b4ff203a [formerly 4fecbcbf99e1a376ad7c6e9414c518bbfb5a06d9]] [formerly 08a3eec60a5e8b827afaf9f8a127bdafba278752 [formerly 8e175c62be4a9f68e403adcb45986ea3447f20f1] [formerly 04574e2c67ea1521f7e1d23ff842d559ad728a99 [formerly 2f99f58]]]
Former-commit-id: a743ea37174d1d4bd1fea7fbf9da3a2ac3c09b64 [formerly 7f4c71fb64328d47e47c663a93ce7021be905b95] [formerly fc2b1a0af43ba1072c5af83607921657654b63f5 [formerly 4c8e64304cfa1e47d4b3ccf8c7f3fc40e3570c8f]]
Former-commit-id: 1ee8b0d2823f65c9335a8ccde62f3e1e0c5bb93e [formerly 96da8cbcf64d993e807490dec672a51cd090adf1]
Former-commit-id: 65d07d3f61f3f486f5ef2161b5ead00002a66e1f
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment